### Method

# Vte Terminal set_encoding

deprecated: 0.54

#### Declaration [src]

    gboolean
    vte_terminal_set_encoding (
      VteTerminal* terminal,
      const char* codeset,
      GError** error
    )

#### Description [src]

Changes the encoding the terminal will expect data from the child to be encoded with. For certain terminal types, applications executing in the terminal can change the encoding. If `codeset` is `NULL`, it uses “UTF-8”.

Note: Support for non-UTF-8 is deprecated and may get removed altogether. Instead of this function, you should use a wrapper like luit(1) when spawning the child process.

Deprecated since: 0.54

Support for non-UTF-8 is deprecated.

Sets property | `Vte.Terminal:encoding`

#### Parameters

`codeset`

  Type: `const char*`

  Target charset, or `NULL` to use UTF-8.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the encoding could be changed to the specified one, or `FALSE` with `error` set to `G_CONVERT_ERROR_NO_CONVERSION`.